# smp.h File Reference

`#include <ubixos/types.h>`

Go to the source code of this file.

## Data Structures

struct | cpuinfo_t

## Functions

void | smpInit ()
void | cpuidDetect ()
uInt8 | cpuInfo ()
uInt32 | getEflags ()
void | setEflags (uInt32)
void | cpuid (uInt32, uInt32 *)
void | apicMagic ()

## Function Documentation

void apicMagic | ( |  | ) |

void cpuid | ( | uInt32 | ,
|  | uInt32 * |
| ) |

| Calls the processor instruction CPUID

void cpuidDetect | ( |  | ) |

| Detects for the processor instruction CPUID

uInt8 cpuInfo | ( |  | ) |

uInt32 getEflags | ( |  | ) |

| Gets the extended flags from the CPU

void setEflags | ( | uInt32 |  | ) |

| Sets the extended flags in the CPU

void smpInit | ( |  | ) |

| Inits multi-processor system and calls cpuiddetect and cpuid